# Performance Schema users Table

## Description

Each user that connects to the server is stored as a row in the `users` table, along with current and total connections.

The table size is determined at startup by the value of the [performance\_schema\_users\_size](https://mariadb.com/docs/server/reference/system-tables/performance-schema-system-variables#performance_schema_users_size) system variable. If this is set to `0`, user statistics will be disabled.

| Column               | Description                                                                          |
| -------------------- | ------------------------------------------------------------------------------------ |
| USER                 | The connection's client user name for the connection, or NULL if an internal thread. |
| CURRENT\_CONNECTIONS | Current connections for the user.                                                    |
| TOTAL\_CONNECTIONS   | Total connections for the user.                                                      |

## Example

```sql
SELECT * FROM performance_schema.users;
+------------------+---------------------+-------------------+
| USER             | CURRENT_CONNECTIONS | TOTAL_CONNECTIONS |
+------------------+---------------------+-------------------+
| debian-sys-maint |                   0 |                35 |
| NULL             |                  20 |                23 |
| root             |                   1 |                 2 |
+------------------+---------------------+-------------------+
```

<sub>*This page is licensed: CC BY-SA / Gnu FDL*</sub>

{% @marketo/form formId="4316" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/system-tables/performance-schema/performance-schema-tables/performance-schema-users-table.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
